hits {arules} | R Documentation

## Computing Transaction Weights With HITS

### Description

Compute the hub weights of a collection of transactions using the HITS (hubs and authorities) algorithm.

### Usage

    hits(data, iter = 16L, tol = NULL,
         type = c("normed", "relative", "absolute"), verbose = FALSE)

### Arguments

`data` | an object of or coercible to class `transactions`.
`iter` | an integer value specifying the maximum number of iterations to use.
`tol` | convergence tolerance (default `FLT_EPSILON`).
`type` | a string value specifying the norming of the hub weights. For `"normed"` scale the weights to unit length (L2 norm), and for `"relative"` to unit sum.
`verbose` | a logical specifying if progress and runtime information should be displayed.

### Details

Model a collection of transactions as a bipartite graph of hubs (transactions) and authorities (items) with unit arcs and free node weights. That is, a transaction weight is the sum of the (normalized) weights of the items and vice versa. The weights are estimated by iterating the model to a steady-state using a builtin convergence tolerance of `FLT_EPSILON` for (the change in) the norm of the vector of authorities.

### Value

A `numeric` vector with transaction weights for `data`.

### Author(s)

Christian Buchta

### References

K. Sun and F. Bai (2008). Mining Weighted Association Rules without Preassigned Weights. IEEE Transactions on Knowledge and Data Engineering, 4 (30), 489–495.

### See Also

Class `transactions`, function `weclat`

### Examples

    data(SunBai)

    ## calculate transaction weigths
    w <- hits(SunBai)
    w

    ## add transaction weight to the dataset
    transactionInfo(SunBai)[["weight"]] <- w
    transactionInfo(SunBai)

    ## calulate regular item frequencies
    itemFrequency(SunBai, weighted = FALSE)

    ## calulate weighted item frequencies
    itemFrequency(SunBai, weighted = TRUE)

[Package arules version 1.6-3 Index]